org.apache.ignite.internal.jdbc.thin

## Class AffinityCache

- java.lang.Object
- - org.apache.ignite.internal.jdbc.thin.AffinityCache

    public final class AffinityCache
    extends Object

Affinity Cache.

### Constructor Summary

Constructors
Constructor and Description
`AffinityCache(AffinityTopologyVersion ver, int partitionAwarenessPartDistributionsCacheSize, int partitionAwarenessSQLCacheSize)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`UUID[]` `cacheDistribution(int cacheId)`
`JdbcThinPartitionResultDescriptor` `partitionResult(QualifiedSQLQuery sqlQry)` Retrieves partition result descriptor related to corresponding sql query.
`AffinityTopologyVersion` `version()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AffinityCache

    public AffinityCache(AffinityTopologyVersion ver,
                         int partitionAwarenessPartDistributionsCacheSize,
                         int partitionAwarenessSQLCacheSize)

Constructor.

Parameters:
  `ver` - Affinity topology version.

### Method Detail

#### version

    public AffinityTopologyVersion version()

Returns:
  Version.

#### partitionResult

    public JdbcThinPartitionResultDescriptor partitionResult(QualifiedSQLQuery sqlQry)

Retrieves partition result descriptor related to corresponding sql query.

Parameters:
  `sqlQry` - Qualified sql query.
Returns:
  Partition result descriptor or null.

#### cacheDistribution

    public UUID[] cacheDistribution(int cacheId)

Parameters:
  `cacheId` - Cache Id.
Returns:
  Cache partition distribution for given cache Id or null.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021